#pragma once
#include "afxwin.h"


// demoJoinConfByIdAnonymousDlg 对话框

class demoJoinConfByIdAnonymousDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoJoinConfByIdAnonymousDlg)

public:
    demoJoinConfByIdAnonymousDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoJoinConfByIdAnonymousDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_JOIN_CONF_BY_ID_ANONYMOUS_DIALOG };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedJoinConfAnonymous();
    CEdit m_confIdEdit;
    CEdit m_psdEdit;
    CEdit m_nicknameEdit;
    CEdit m_domainEdit;
    int clickJoinConfAnonymous();
    afx_msg void OnBnClickedRadioEnterTypeAccount();
    int m_enterType;
    afx_msg void OnBnClickedRadioEnterTypeRandom();
    CButton m_CamCheck;
    CButton m_MicCheck;
    CButton m_SpkCheck;
    virtual BOOL OnInitDialog();
};
